use peach_lib::sbot::SbotConfig;
use rouille::Response;

use crate::utils::flash::FlashResponse;

/// Set default configuration parameters for the go-sbot and save them to file.
pub fn write_config() -> Response {
    let default_config = SbotConfig::default();
    // write default config to file
    let (name, msg) = match SbotConfig::write(default_config) {
        Ok(_) => ("success", "Restored default configuration".to_string()),
        Err(e) => (
            "error",
            format!("Failed to restore default configuration: {}", e),
        ),
    };

    let (flash_name, flash_msg) = (format!("flash_name={}", name), format!("flash_msg={}", msg));

    Response::redirect_303("/settings/scuttlebutt/configure").add_flash(flash_name, flash_msg)
}
