use rocket::{get, request::FlashMessage};
use rocket_dyn_templates::Template;

use crate::context::network::NetworkStatusContext;
use crate::routes::authentication::Authenticated;

// HELPERS AND ROUTES FOR /status/network

#[get("/network")]
pub fn network_status(flash: Option<FlashMessage>, _auth: Authenticated) -> Template {
    let mut context = NetworkStatusContext::build();
    context.back = Some("/status".to_string());
    context.title = Some("Network Status".to_string());

    if let Some(flash) = flash {
        context.flash_name = Some(flash.kind().to_string());
        context.flash_msg = Some(flash.message().to_string());
    };

    Template::render("status/network", &context)
}
